Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman10.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman10.cs	(revision 17676)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman10.cs	(revision 17677)
@@ -6,11 +6,11 @@
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class Feynman11 : FeynmanDescriptor {
+  public class Feynman10 : FeynmanDescriptor {
     private readonly int testSamples;
     private readonly int trainingSamples;
 
-    public Feynman11() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
+    public Feynman10() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
 
-    public Feynman11(int seed) {
+    public Feynman10(int seed) {
       Seed            = seed;
       trainingSamples = 10000;
@@ -19,5 +19,5 @@
     }
 
-    public Feynman11(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
+    public Feynman10(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
       Seed                 = seed;
       this.trainingSamples = trainingSamples;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman11.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman11.cs	(revision 17676)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman11.cs	(revision 17677)
@@ -6,11 +6,11 @@
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class Feynman12 : FeynmanDescriptor {
+  public class Feynman11 : FeynmanDescriptor {
     private readonly int testSamples;
     private readonly int trainingSamples;
 
-    public Feynman12() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
+    public Feynman11() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
 
-    public Feynman12(int seed) {
+    public Feynman11(int seed) {
       Seed            = seed;
       trainingSamples = 10000;
@@ -19,5 +19,5 @@
     }
 
-    public Feynman12(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
+    public Feynman11(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
       Seed                 = seed;
       this.trainingSamples = trainingSamples;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman12.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman12.cs	(revision 17676)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman12.cs	(revision 17677)
@@ -6,11 +6,11 @@
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class Feynman13 : FeynmanDescriptor {
+  public class Feynman12 : FeynmanDescriptor {
     private readonly int testSamples;
     private readonly int trainingSamples;
 
-    public Feynman13() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
+    public Feynman12() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
 
-    public Feynman13(int seed) {
+    public Feynman12(int seed) {
       Seed            = seed;
       trainingSamples = 10000;
@@ -19,5 +19,5 @@
     }
 
-    public Feynman13(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
+    public Feynman12(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
       Seed                 = seed;
       this.trainingSamples = trainingSamples;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman13.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman13.cs	(revision 17676)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman13.cs	(revision 17677)
@@ -6,11 +6,11 @@
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class Feynman9 : FeynmanDescriptor {
+  public class Feynman13 : FeynmanDescriptor {
     private readonly int testSamples;
     private readonly int trainingSamples;
 
-    public Feynman9() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
+    public Feynman13() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
 
-    public Feynman9(int seed) {
+    public Feynman13(int seed) {
       Seed            = seed;
       trainingSamples = 10000;
@@ -19,5 +19,5 @@
     }
 
-    public Feynman9(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
+    public Feynman13(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
       Seed                 = seed;
       this.trainingSamples = trainingSamples;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman9.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman9.cs	(revision 17676)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman9.cs	(revision 17677)
@@ -6,11 +6,11 @@
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class Feynman10 : FeynmanDescriptor {
+  public class Feynman9 : FeynmanDescriptor {
     private readonly int testSamples;
     private readonly int trainingSamples;
 
-    public Feynman10() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
+    public Feynman9() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
 
-    public Feynman10(int seed) {
+    public Feynman9(int seed) {
       Seed            = seed;
       trainingSamples = 10000;
@@ -19,5 +19,5 @@
     }
 
-    public Feynman10(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
+    public Feynman9(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
       Seed                 = seed;
       this.trainingSamples = trainingSamples;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus10.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus10.cs	(revision 17676)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus10.cs	(revision 17677)
@@ -6,11 +6,11 @@
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class FeynmanBonus5 : FeynmanDescriptor {
+  public class FeynmanBonus10 : FeynmanDescriptor {
     private readonly int testSamples;
     private readonly int trainingSamples;
 
-    public FeynmanBonus5() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
+    public FeynmanBonus10() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
 
-    public FeynmanBonus5(int seed) {
+    public FeynmanBonus10(int seed) {
       Seed            = seed;
       trainingSamples = 10000;
@@ -19,5 +19,5 @@
     }
 
-    public FeynmanBonus5(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
+    public FeynmanBonus10(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
       Seed                 = seed;
       this.trainingSamples = trainingSamples;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus11.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus11.cs	(revision 17676)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus11.cs	(revision 17677)
@@ -6,11 +6,11 @@
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class FeynmanBonus6 : FeynmanDescriptor {
+  public class FeynmanBonus11 : FeynmanDescriptor {
     private readonly int testSamples;
     private readonly int trainingSamples;
 
-    public FeynmanBonus6() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
+    public FeynmanBonus11() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
 
-    public FeynmanBonus6(int seed) {
+    public FeynmanBonus11(int seed) {
       Seed            = seed;
       trainingSamples = 10000;
@@ -19,5 +19,5 @@
     }
 
-    public FeynmanBonus6(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
+    public FeynmanBonus11(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
       Seed                 = seed;
       this.trainingSamples = trainingSamples;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus12.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus12.cs	(revision 17676)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus12.cs	(revision 17677)
@@ -6,11 +6,11 @@
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class FeynmanBonus16 : FeynmanDescriptor {
+  public class FeynmanBonus12 : FeynmanDescriptor {
     private readonly int testSamples;
     private readonly int trainingSamples;
 
-    public FeynmanBonus16() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
+    public FeynmanBonus12() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
 
-    public FeynmanBonus16(int seed) {
+    public FeynmanBonus12(int seed) {
       Seed            = seed;
       trainingSamples = 10000;
@@ -19,5 +19,5 @@
     }
 
-    public FeynmanBonus16(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
+    public FeynmanBonus12(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
       Seed                 = seed;
       this.trainingSamples = trainingSamples;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus13.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus13.cs	(revision 17676)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus13.cs	(revision 17677)
@@ -6,11 +6,11 @@
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class FeynmanBonus17 : FeynmanDescriptor {
+  public class FeynmanBonus13 : FeynmanDescriptor {
     private readonly int testSamples;
     private readonly int trainingSamples;
 
-    public FeynmanBonus17() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
+    public FeynmanBonus13() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
 
-    public FeynmanBonus17(int seed) {
+    public FeynmanBonus13(int seed) {
       Seed            = seed;
       trainingSamples = 10000;
@@ -19,5 +19,5 @@
     }
 
-    public FeynmanBonus17(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
+    public FeynmanBonus13(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
       Seed                 = seed;
       this.trainingSamples = trainingSamples;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus14.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus14.cs	(revision 17676)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus14.cs	(revision 17677)
@@ -6,11 +6,11 @@
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class FeynmanBonus12 : FeynmanDescriptor {
+  public class FeynmanBonus14 : FeynmanDescriptor {
     private readonly int testSamples;
     private readonly int trainingSamples;
 
-    public FeynmanBonus12() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
+    public FeynmanBonus14() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
 
-    public FeynmanBonus12(int seed) {
+    public FeynmanBonus14(int seed) {
       Seed            = seed;
       trainingSamples = 10000;
@@ -19,5 +19,5 @@
     }
 
-    public FeynmanBonus12(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
+    public FeynmanBonus14(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
       Seed                 = seed;
       this.trainingSamples = trainingSamples;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus15.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus15.cs	(revision 17676)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus15.cs	(revision 17677)
@@ -6,11 +6,11 @@
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class FeynmanBonus13 : FeynmanDescriptor {
+  public class FeynmanBonus15 : FeynmanDescriptor {
     private readonly int testSamples;
     private readonly int trainingSamples;
 
-    public FeynmanBonus13() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
+    public FeynmanBonus15() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
 
-    public FeynmanBonus13(int seed) {
+    public FeynmanBonus15(int seed) {
       Seed            = seed;
       trainingSamples = 10000;
@@ -19,5 +19,5 @@
     }
 
-    public FeynmanBonus13(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
+    public FeynmanBonus15(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
       Seed                 = seed;
       this.trainingSamples = trainingSamples;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus16.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus16.cs	(revision 17676)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus16.cs	(revision 17677)
@@ -6,11 +6,11 @@
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class FeynmanBonus14 : FeynmanDescriptor {
+  public class FeynmanBonus16 : FeynmanDescriptor {
     private readonly int testSamples;
     private readonly int trainingSamples;
 
-    public FeynmanBonus14() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
+    public FeynmanBonus16() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
 
-    public FeynmanBonus14(int seed) {
+    public FeynmanBonus16(int seed) {
       Seed            = seed;
       trainingSamples = 10000;
@@ -19,5 +19,5 @@
     }
 
-    public FeynmanBonus14(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
+    public FeynmanBonus16(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
       Seed                 = seed;
       this.trainingSamples = trainingSamples;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus17.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus17.cs	(revision 17676)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus17.cs	(revision 17677)
@@ -6,11 +6,11 @@
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class FeynmanBonus15 : FeynmanDescriptor {
+  public class FeynmanBonus17 : FeynmanDescriptor {
     private readonly int testSamples;
     private readonly int trainingSamples;
 
-    public FeynmanBonus15() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
+    public FeynmanBonus17() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
 
-    public FeynmanBonus15(int seed) {
+    public FeynmanBonus17(int seed) {
       Seed            = seed;
       trainingSamples = 10000;
@@ -19,5 +19,5 @@
     }
 
-    public FeynmanBonus15(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
+    public FeynmanBonus17(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
       Seed                 = seed;
       this.trainingSamples = trainingSamples;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus2.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus2.cs	(revision 17676)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus2.cs	(revision 17677)
@@ -6,11 +6,11 @@
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class FeynmanBonus7 : FeynmanDescriptor {
+  public class FeynmanBonus2 : FeynmanDescriptor {
     private readonly int testSamples;
     private readonly int trainingSamples;
 
-    public FeynmanBonus7() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
+    public FeynmanBonus2() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
 
-    public FeynmanBonus7(int seed) {
+    public FeynmanBonus2(int seed) {
       Seed            = seed;
       trainingSamples = 10000;
@@ -19,5 +19,5 @@
     }
 
-    public FeynmanBonus7(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
+    public FeynmanBonus2(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
       Seed                 = seed;
       this.trainingSamples = trainingSamples;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus3.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus3.cs	(revision 17676)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus3.cs	(revision 17677)
@@ -6,11 +6,11 @@
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class FeynmanBonus8 : FeynmanDescriptor {
+  public class FeynmanBonus3 : FeynmanDescriptor {
     private readonly int testSamples;
     private readonly int trainingSamples;
 
-    public FeynmanBonus8() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
+    public FeynmanBonus3() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
 
-    public FeynmanBonus8(int seed) {
+    public FeynmanBonus3(int seed) {
       Seed            = seed;
       trainingSamples = 10000;
@@ -19,5 +19,5 @@
     }
 
-    public FeynmanBonus8(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
+    public FeynmanBonus3(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
       Seed                 = seed;
       this.trainingSamples = trainingSamples;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus4.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus4.cs	(revision 17676)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus4.cs	(revision 17677)
@@ -6,11 +6,11 @@
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class FeynmanBonus9 : FeynmanDescriptor {
+  public class FeynmanBonus4 : FeynmanDescriptor {
     private readonly int testSamples;
     private readonly int trainingSamples;
 
-    public FeynmanBonus9() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
+    public FeynmanBonus4() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
 
-    public FeynmanBonus9(int seed) {
+    public FeynmanBonus4(int seed) {
       Seed            = seed;
       trainingSamples = 10000;
@@ -19,5 +19,5 @@
     }
 
-    public FeynmanBonus9(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
+    public FeynmanBonus4(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
       Seed                 = seed;
       this.trainingSamples = trainingSamples;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus5.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus5.cs	(revision 17676)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus5.cs	(revision 17677)
@@ -6,11 +6,11 @@
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class FeynmanBonus10 : FeynmanDescriptor {
+  public class FeynmanBonus5 : FeynmanDescriptor {
     private readonly int testSamples;
     private readonly int trainingSamples;
 
-    public FeynmanBonus10() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
+    public FeynmanBonus5() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
 
-    public FeynmanBonus10(int seed) {
+    public FeynmanBonus5(int seed) {
       Seed            = seed;
       trainingSamples = 10000;
@@ -19,5 +19,5 @@
     }
 
-    public FeynmanBonus10(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
+    public FeynmanBonus5(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
       Seed                 = seed;
       this.trainingSamples = trainingSamples;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus6.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus6.cs	(revision 17676)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus6.cs	(revision 17677)
@@ -6,11 +6,11 @@
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class FeynmanBonus11 : FeynmanDescriptor {
+  public class FeynmanBonus6 : FeynmanDescriptor {
     private readonly int testSamples;
     private readonly int trainingSamples;
 
-    public FeynmanBonus11() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
+    public FeynmanBonus6() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
 
-    public FeynmanBonus11(int seed) {
+    public FeynmanBonus6(int seed) {
       Seed            = seed;
       trainingSamples = 10000;
@@ -19,5 +19,5 @@
     }
 
-    public FeynmanBonus11(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
+    public FeynmanBonus6(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
       Seed                 = seed;
       this.trainingSamples = trainingSamples;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus7.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus7.cs	(revision 17676)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus7.cs	(revision 17677)
@@ -6,11 +6,11 @@
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class FeynmanBonus4 : FeynmanDescriptor {
+  public class FeynmanBonus7 : FeynmanDescriptor {
     private readonly int testSamples;
     private readonly int trainingSamples;
 
-    public FeynmanBonus4() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
+    public FeynmanBonus7() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
 
-    public FeynmanBonus4(int seed) {
+    public FeynmanBonus7(int seed) {
       Seed            = seed;
       trainingSamples = 10000;
@@ -19,5 +19,5 @@
     }
 
-    public FeynmanBonus4(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
+    public FeynmanBonus7(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
       Seed                 = seed;
       this.trainingSamples = trainingSamples;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus8.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus8.cs	(revision 17676)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus8.cs	(revision 17677)
@@ -6,11 +6,11 @@
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class FeynmanBonus2 : FeynmanDescriptor {
+  public class FeynmanBonus8 : FeynmanDescriptor {
     private readonly int testSamples;
     private readonly int trainingSamples;
 
-    public FeynmanBonus2() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
+    public FeynmanBonus8() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
 
-    public FeynmanBonus2(int seed) {
+    public FeynmanBonus8(int seed) {
       Seed            = seed;
       trainingSamples = 10000;
@@ -19,5 +19,5 @@
     }
 
-    public FeynmanBonus2(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
+    public FeynmanBonus8(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
       Seed                 = seed;
       this.trainingSamples = trainingSamples;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus9.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus9.cs	(revision 17676)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanBonus9.cs	(revision 17677)
@@ -6,11 +6,11 @@
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class FeynmanBonus3 : FeynmanDescriptor {
+  public class FeynmanBonus9 : FeynmanDescriptor {
     private readonly int testSamples;
     private readonly int trainingSamples;
 
-    public FeynmanBonus3() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
+    public FeynmanBonus9() : this((int) DateTime.Now.Ticks, 10000, 10000, null) { }
 
-    public FeynmanBonus3(int seed) {
+    public FeynmanBonus9(int seed) {
       Seed            = seed;
       trainingSamples = 10000;
@@ -19,5 +19,5 @@
     }
 
-    public FeynmanBonus3(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
+    public FeynmanBonus9(int seed, int trainingSamples, int testSamples, double? noiseRatio) {
       Seed                 = seed;
       this.trainingSamples = trainingSamples;
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanInstanceProvider.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanInstanceProvider.cs	(revision 17676)
+++ 	(revision )
@@ -1,176 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using HeuristicLab.Random;
-
-namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class FeynmanInstanceProvider : ArtificialRegressionInstanceProvider {
-    public override string Name {
-      get { return "'AI Feynman' Benchmark Problems"; }
-    }
-
-    public override string Description {
-      get { return "Problem instances from \"AI Feynman\" paper (Feynman Symbolic Regression Database)"; }
-    }
-
-    public override Uri WebLink {
-      get { return new Uri("https://space.mit.edu/home/tegmark/aifeynman.html"); }
-    }
-
-    public override string ReferencePublication {
-      get { return "Udrescu, Silviu-Marian, and Max Tegmark. \"AI Feynman: A physics-inspired method for symbolic regression.\" Science Advances 6.16 (2020): eaay2631."; }
-    }
-
-    public int Seed { get; private set; }
-
-    public FeynmanInstanceProvider() : this((int) DateTime.Now.Ticks) { }
-
-    public FeynmanInstanceProvider(int seed) {
-      Seed = seed;
-    }
-
-    public override IEnumerable<IDataDescriptor> GetDataDescriptors() {
-      var descriptorList = new List<IDataDescriptor>();
-      var rand           = new MersenneTwister((uint) Seed);
-
-
-      var noiseRatio = new double?[] {null, 1, 10E-2, 10E-4, 0};
-      var samples    = new[] {100, 1000};
-
-      #region types
-      var descriptorTypes = new Type[] {
-        typeof(Feynman1),
-        typeof(Feynman2),
-        typeof(Feynman3),
-        typeof(Feynman4),
-        typeof(Feynman5),
-        typeof(Feynman6),
-        typeof(Feynman7),
-        typeof(Feynman8),
-        typeof(Feynman9),
-        typeof(Feynman10),
-        typeof(Feynman11),
-        typeof(Feynman12),
-        typeof(Feynman13),
-        typeof(Feynman14),
-        typeof(Feynman15),
-        typeof(Feynman16),
-        typeof(Feynman17),
-        typeof(Feynman18),
-        typeof(Feynman19),
-        typeof(Feynman20),
-        typeof(Feynman21),
-        typeof(Feynman22),
-        typeof(Feynman23),
-        typeof(Feynman24),
-        typeof(Feynman25),
-        typeof(Feynman26),
-        typeof(Feynman27),
-        typeof(Feynman28),
-        typeof(Feynman29),
-        typeof(Feynman30),
-        typeof(Feynman31),
-        typeof(Feynman32),
-        typeof(Feynman33),
-        typeof(Feynman34),
-        typeof(Feynman35),
-        typeof(Feynman36),
-        typeof(Feynman37),
-        typeof(Feynman38),
-        typeof(Feynman39),
-        typeof(Feynman40),
-        typeof(Feynman41),
-        typeof(Feynman42),
-        typeof(Feynman43),
-        typeof(Feynman44),
-        typeof(Feynman45),
-        typeof(Feynman46),
-        typeof(Feynman47),
-        typeof(Feynman48),
-        typeof(Feynman49),
-        typeof(Feynman50),
-        typeof(Feynman51),
-        typeof(Feynman52),
-        typeof(Feynman53),
-        typeof(Feynman54),
-        typeof(Feynman55),
-        typeof(Feynman56),
-        typeof(Feynman57),
-        typeof(Feynman58),
-        typeof(Feynman59),
-        typeof(Feynman60),
-        typeof(Feynman61),
-        typeof(Feynman62),
-        typeof(Feynman63),
-        typeof(Feynman64),
-        typeof(Feynman65),
-        typeof(Feynman66),
-        typeof(Feynman67),
-        typeof(Feynman68),
-        typeof(Feynman69),
-        typeof(Feynman70),
-        typeof(Feynman71),
-        typeof(Feynman72),
-        typeof(Feynman73),
-        typeof(Feynman74),
-        typeof(Feynman75),
-        typeof(Feynman76),
-        typeof(Feynman77),
-        typeof(Feynman78),
-        typeof(Feynman79),
-        typeof(Feynman80),
-        typeof(Feynman81),
-        typeof(Feynman82),
-        typeof(Feynman83),
-        typeof(Feynman84),
-        typeof(Feynman85),
-        typeof(Feynman86),
-        typeof(Feynman87),
-        typeof(Feynman88),
-        typeof(Feynman89),
-        typeof(Feynman90),
-        typeof(Feynman91),
-        typeof(Feynman92),
-        typeof(Feynman93),
-        typeof(Feynman94),
-        typeof(Feynman95),
-        typeof(Feynman96),
-        typeof(Feynman97),
-        typeof(Feynman98),
-        typeof(Feynman99),
-        typeof(Feynman100),
-        typeof(FeynmanBonus1),
-        typeof(FeynmanBonus2),
-        typeof(FeynmanBonus3),
-        typeof(FeynmanBonus4),
-        typeof(FeynmanBonus5),
-        typeof(FeynmanBonus6),
-        typeof(FeynmanBonus7),
-        typeof(FeynmanBonus8),
-        typeof(FeynmanBonus9),
-        typeof(FeynmanBonus10),
-        typeof(FeynmanBonus11),
-        typeof(FeynmanBonus12),
-        typeof(FeynmanBonus13),
-        typeof(FeynmanBonus14),
-        typeof(FeynmanBonus15),
-        typeof(FeynmanBonus16),
-        typeof(FeynmanBonus17),
-        typeof(FeynmanBonus18),
-        typeof(FeynmanBonus19),
-        typeof(FeynmanBonus20)
-   };
-      #endregion
-
-
-      foreach (var type in descriptorTypes) {
-        foreach (var s in samples) {
-          foreach (var n in noiseRatio) {
-            descriptorList.Add((IDataDescriptor)Activator.CreateInstance(type, rand.Next(), s, s, n));
-          }
-        }
-      }
-      return descriptorList.ToList();
-    }
-  }
-}
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanLargeInstanceProvider.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanLargeInstanceProvider.cs	(revision 17677)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanLargeInstanceProvider.cs	(revision 17677)
@@ -0,0 +1,173 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class FeynmanLargeInstanceProvider : ArtificialRegressionInstanceProvider {
+    public override string Name {
+      get { return "'AI Feynman' Benchmark Problems (large)"; }
+    }
+
+    public override string Description {
+      get { return "Problem instances from \"AI Feynman\" paper (Feynman Symbolic Regression Database)"; }
+    }
+
+    public override Uri WebLink {
+      get { return new Uri("https://space.mit.edu/home/tegmark/aifeynman.html"); }
+    }
+
+    public override string ReferencePublication {
+      get { return "Udrescu, Silviu-Marian, and Max Tegmark. \"AI Feynman: A physics-inspired method for symbolic regression.\" Science Advances 6.16 (2020): eaay2631."; }
+    }
+
+    public int Seed { get; private set; }
+
+    public FeynmanLargeInstanceProvider() : this((int)DateTime.Now.Ticks) { }
+
+    public FeynmanLargeInstanceProvider(int seed) {
+      Seed = seed;
+    }
+
+    public override IEnumerable<IDataDescriptor> GetDataDescriptors() {
+      var descriptorList = new List<IDataDescriptor>();
+      var rand = new MersenneTwister((uint)Seed);
+
+
+      var noiseRatio = new double?[] { null, 1, 10E-2, 10E-4 };
+
+      #region types
+      var descriptorTypes = new Type[] {
+        typeof(Feynman1),
+        typeof(Feynman2),
+        typeof(Feynman3),
+        typeof(Feynman4),
+        typeof(Feynman5),
+        typeof(Feynman6),
+        typeof(Feynman7),
+        typeof(Feynman8),
+        typeof(Feynman9),
+        typeof(Feynman10),
+        typeof(Feynman11),
+        typeof(Feynman12),
+        typeof(Feynman13),
+        typeof(Feynman14),
+        typeof(Feynman15),
+        typeof(Feynman16),
+        typeof(Feynman17),
+        typeof(Feynman18),
+        typeof(Feynman19),
+        typeof(Feynman20),
+        typeof(Feynman21),
+        typeof(Feynman22),
+        typeof(Feynman23),
+        typeof(Feynman24),
+        typeof(Feynman25),
+        typeof(Feynman26),
+        typeof(Feynman27),
+        typeof(Feynman28),
+        typeof(Feynman29),
+        typeof(Feynman30),
+        typeof(Feynman31),
+        typeof(Feynman32),
+        typeof(Feynman33),
+        typeof(Feynman34),
+        typeof(Feynman35),
+        typeof(Feynman36),
+        typeof(Feynman37),
+        typeof(Feynman38),
+        typeof(Feynman39),
+        typeof(Feynman40),
+        typeof(Feynman41),
+        typeof(Feynman42),
+        typeof(Feynman43),
+        typeof(Feynman44),
+        typeof(Feynman45),
+        typeof(Feynman46),
+        typeof(Feynman47),
+        typeof(Feynman48),
+        typeof(Feynman49),
+        typeof(Feynman50),
+        typeof(Feynman51),
+        typeof(Feynman52),
+        typeof(Feynman53),
+        typeof(Feynman54),
+        typeof(Feynman55),
+        typeof(Feynman56),
+        typeof(Feynman57),
+        typeof(Feynman58),
+        typeof(Feynman59),
+        typeof(Feynman60),
+        typeof(Feynman61),
+        typeof(Feynman62),
+        typeof(Feynman63),
+        typeof(Feynman64),
+        typeof(Feynman65),
+        typeof(Feynman66),
+        typeof(Feynman67),
+        typeof(Feynman68),
+        typeof(Feynman69),
+        typeof(Feynman70),
+        typeof(Feynman71),
+        typeof(Feynman72),
+        typeof(Feynman73),
+        typeof(Feynman74),
+        typeof(Feynman75),
+        typeof(Feynman76),
+        typeof(Feynman77),
+        typeof(Feynman78),
+        typeof(Feynman79),
+        typeof(Feynman80),
+        typeof(Feynman81),
+        typeof(Feynman82),
+        typeof(Feynman83),
+        typeof(Feynman84),
+        typeof(Feynman85),
+        typeof(Feynman86),
+        typeof(Feynman87),
+        typeof(Feynman88),
+        typeof(Feynman89),
+        typeof(Feynman90),
+        typeof(Feynman91),
+        typeof(Feynman92),
+        typeof(Feynman93),
+        typeof(Feynman94),
+        typeof(Feynman95),
+        typeof(Feynman96),
+        typeof(Feynman97),
+        typeof(Feynman98),
+        typeof(Feynman99),
+        typeof(Feynman100),
+        typeof(FeynmanBonus1),
+        typeof(FeynmanBonus2),
+        typeof(FeynmanBonus3),
+        typeof(FeynmanBonus4),
+        typeof(FeynmanBonus5),
+        typeof(FeynmanBonus6),
+        typeof(FeynmanBonus7),
+        typeof(FeynmanBonus8),
+        typeof(FeynmanBonus9),
+        typeof(FeynmanBonus10),
+        typeof(FeynmanBonus11),
+        typeof(FeynmanBonus12),
+        typeof(FeynmanBonus13),
+        typeof(FeynmanBonus14),
+        typeof(FeynmanBonus15),
+        typeof(FeynmanBonus16),
+        typeof(FeynmanBonus17),
+        typeof(FeynmanBonus18),
+        typeof(FeynmanBonus19),
+        typeof(FeynmanBonus20)
+   };
+      #endregion
+
+
+      foreach (var n in noiseRatio) {
+        foreach (var type in descriptorTypes) {
+          descriptorList.Add((IDataDescriptor)Activator.CreateInstance(type, rand.Next(), 10000, 10000, n));
+        }
+      }
+      return descriptorList.ToList();
+    }
+  }
+}
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanSmallInstanceProvider.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanSmallInstanceProvider.cs	(revision 17677)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanSmallInstanceProvider.cs	(revision 17677)
@@ -0,0 +1,173 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class FeynmanSmallInstanceProvider : ArtificialRegressionInstanceProvider {
+    public override string Name {
+      get { return "'AI Feynman' Benchmark Problems (small)"; }
+    }
+
+    public override string Description {
+      get { return "Problem instances from \"AI Feynman\" paper (Feynman Symbolic Regression Database)"; }
+    }
+
+    public override Uri WebLink {
+      get { return new Uri("https://space.mit.edu/home/tegmark/aifeynman.html"); }
+    }
+
+    public override string ReferencePublication {
+      get { return "Udrescu, Silviu-Marian, and Max Tegmark. \"AI Feynman: A physics-inspired method for symbolic regression.\" Science Advances 6.16 (2020): eaay2631."; }
+    }
+
+    public int Seed { get; private set; }
+
+    public FeynmanSmallInstanceProvider() : this((int)DateTime.Now.Ticks) { }
+
+    public FeynmanSmallInstanceProvider(int seed) {
+      Seed = seed;
+    }
+
+    public override IEnumerable<IDataDescriptor> GetDataDescriptors() {
+      var descriptorList = new List<IDataDescriptor>();
+      var rand = new MersenneTwister((uint)Seed);
+
+
+      var noiseRatio = new double?[] { null, 1, 10E-2, 10E-4 };
+
+      #region types
+      var descriptorTypes = new Type[] {
+        typeof(Feynman1),
+        typeof(Feynman2),
+        typeof(Feynman3),
+        typeof(Feynman4),
+        typeof(Feynman5),
+        typeof(Feynman6),
+        typeof(Feynman7),
+        typeof(Feynman8),
+        typeof(Feynman9),
+        typeof(Feynman10),
+        typeof(Feynman11),
+        typeof(Feynman12),
+        typeof(Feynman13),
+        typeof(Feynman14),
+        typeof(Feynman15),
+        typeof(Feynman16),
+        typeof(Feynman17),
+        typeof(Feynman18),
+        typeof(Feynman19),
+        typeof(Feynman20),
+        typeof(Feynman21),
+        typeof(Feynman22),
+        typeof(Feynman23),
+        typeof(Feynman24),
+        typeof(Feynman25),
+        typeof(Feynman26),
+        typeof(Feynman27),
+        typeof(Feynman28),
+        typeof(Feynman29),
+        typeof(Feynman30),
+        typeof(Feynman31),
+        typeof(Feynman32),
+        typeof(Feynman33),
+        typeof(Feynman34),
+        typeof(Feynman35),
+        typeof(Feynman36),
+        typeof(Feynman37),
+        typeof(Feynman38),
+        typeof(Feynman39),
+        typeof(Feynman40),
+        typeof(Feynman41),
+        typeof(Feynman42),
+        typeof(Feynman43),
+        typeof(Feynman44),
+        typeof(Feynman45),
+        typeof(Feynman46),
+        typeof(Feynman47),
+        typeof(Feynman48),
+        typeof(Feynman49),
+        typeof(Feynman50),
+        typeof(Feynman51),
+        typeof(Feynman52),
+        typeof(Feynman53),
+        typeof(Feynman54),
+        typeof(Feynman55),
+        typeof(Feynman56),
+        typeof(Feynman57),
+        typeof(Feynman58),
+        typeof(Feynman59),
+        typeof(Feynman60),
+        typeof(Feynman61),
+        typeof(Feynman62),
+        typeof(Feynman63),
+        typeof(Feynman64),
+        typeof(Feynman65),
+        typeof(Feynman66),
+        typeof(Feynman67),
+        typeof(Feynman68),
+        typeof(Feynman69),
+        typeof(Feynman70),
+        typeof(Feynman71),
+        typeof(Feynman72),
+        typeof(Feynman73),
+        typeof(Feynman74),
+        typeof(Feynman75),
+        typeof(Feynman76),
+        typeof(Feynman77),
+        typeof(Feynman78),
+        typeof(Feynman79),
+        typeof(Feynman80),
+        typeof(Feynman81),
+        typeof(Feynman82),
+        typeof(Feynman83),
+        typeof(Feynman84),
+        typeof(Feynman85),
+        typeof(Feynman86),
+        typeof(Feynman87),
+        typeof(Feynman88),
+        typeof(Feynman89),
+        typeof(Feynman90),
+        typeof(Feynman91),
+        typeof(Feynman92),
+        typeof(Feynman93),
+        typeof(Feynman94),
+        typeof(Feynman95),
+        typeof(Feynman96),
+        typeof(Feynman97),
+        typeof(Feynman98),
+        typeof(Feynman99),
+        typeof(Feynman100),
+        typeof(FeynmanBonus1),
+        typeof(FeynmanBonus2),
+        typeof(FeynmanBonus3),
+        typeof(FeynmanBonus4),
+        typeof(FeynmanBonus5),
+        typeof(FeynmanBonus6),
+        typeof(FeynmanBonus7),
+        typeof(FeynmanBonus8),
+        typeof(FeynmanBonus9),
+        typeof(FeynmanBonus10),
+        typeof(FeynmanBonus11),
+        typeof(FeynmanBonus12),
+        typeof(FeynmanBonus13),
+        typeof(FeynmanBonus14),
+        typeof(FeynmanBonus15),
+        typeof(FeynmanBonus16),
+        typeof(FeynmanBonus17),
+        typeof(FeynmanBonus18),
+        typeof(FeynmanBonus19),
+        typeof(FeynmanBonus20)
+   };
+      #endregion
+
+
+      foreach (var n in noiseRatio) {
+        foreach (var type in descriptorTypes) {
+          descriptorList.Add((IDataDescriptor)Activator.CreateInstance(type, rand.Next(), 100, 100, n));
+        }
+      }
+      return descriptorList.ToList();
+    }
+  }
+}
